# Class Recipient

java.lang.Object
com.independentsoft.pst.Recipient

public class Recipient extends Object
The Class Recipient.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Recipient()`
  Instantiates a new recipient.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddressType()`
  Gets the address type.
  `String`
  `getDisplayName()`
  Gets the display name.
  `String`
  `getDisplayName7Bit()`
  Gets the display name7 bit.
  `DisplayType`
  `getDisplayType()`
  Gets the display type.
  `String`
  `getEmailAddress()`
  Gets the email address.
  `byte[]`
  `getEntryId()`
  Gets the entry id.
  `byte[]`
  `getInstanceKey()`
  Gets the instance key.
  `ObjectType`
  `getObjectType()`
  Gets the object type.
  `String`
  `getOriginatingAddressType()`
  Gets the originating address type.
  `String`
  `getOriginatingEmailAddress()`
  Gets the originating email address.
  `RecipientType`
  `getRecipientType()`
  Gets the recipient type.
  `boolean`
  `getResponsibility()`
  Gets the responsibility.
  `byte[]`
  `getSearchKey()`
  Gets the search key.
  `int`
  `getSendInternetEncoding()`
  Gets the send internet encoding.
  `boolean`
  `getSendRichInfo()`
  Gets the send rich info.
  `String`
  `getSmtpAddress()`
  Gets the smtp address.
  `String`
  `getTransmitableDisplayName()`
  Gets the transmitable display name.
  `void`
  `setAddressType(String addressType)`
  `void`
  `setDisplayName(String displayName)`
  `void`
  `setEmailAddress(String emailAddress)`
  `void`
  `setRecipientType(RecipientType recipientType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Recipient

    public Recipient()
    Instantiates a new recipient.

- ## Method Details

  - ### getDisplayName

    public String getDisplayName()
    Gets the display name.
    Returns:
      the display name

  - ### setDisplayName

    public void setDisplayName(String displayName)

  - ### getEmailAddress

    public String getEmailAddress()
    Gets the email address.
    Returns:
      the email address

  - ### setEmailAddress

    public void setEmailAddress(String emailAddress)

  - ### getAddressType

    public String getAddressType()
    Gets the address type.
    Returns:
      the address type

  - ### setAddressType

    public void setAddressType(String addressType)

  - ### getObjectType

    public ObjectType getObjectType()
    Gets the object type.
    Returns:
      the object type

  - ### getRecipientType

    public RecipientType getRecipientType()
    Gets the recipient type.
    Returns:
      the recipient type

  - ### setRecipientType

    public void setRecipientType(RecipientType recipientType)

  - ### getDisplayType

    public DisplayType getDisplayType()
    Gets the display type.
    Returns:
      the display type

  - ### getEntryId

    public byte[] getEntryId()
    Gets the entry id.
    Returns:
      the entry id

  - ### getInstanceKey

    public byte[] getInstanceKey()
    Gets the instance key.
    Returns:
      the instance key

  - ### getSearchKey

    public byte[] getSearchKey()
    Gets the search key.
    Returns:
      the search key

  - ### getResponsibility

    public boolean getResponsibility()
    Gets the responsibility.
    Returns:
      the responsibility

  - ### getSmtpAddress

    public String getSmtpAddress()
    Gets the smtp address.
    Returns:
      the smtp address

  - ### getDisplayName7Bit

    public String getDisplayName7Bit()
    Gets the display name7 bit.
    Returns:
      the display name7 bit

  - ### getTransmitableDisplayName

    public String getTransmitableDisplayName()
    Gets the transmitable display name.
    Returns:
      the transmitable display name

  - ### getSendRichInfo

    public boolean getSendRichInfo()
    Gets the send rich info.
    Returns:
      the send rich info

  - ### getSendInternetEncoding

    public int getSendInternetEncoding()
    Gets the send internet encoding.
    Returns:
      the send internet encoding

  - ### getOriginatingAddressType

    public String getOriginatingAddressType()
    Gets the originating address type.
    Returns:
      the originating address type

  - ### getOriginatingEmailAddress

    public String getOriginatingEmailAddress()
    Gets the originating email address.
    Returns:
      the originating email address